html, body {
  scroll-behavior: smooth;
}
body {
  font-size: 16px;
  line-height: 1.5;
  color: $textColor;
  font-family: 'Asap Condensed', sans-serif;
  font-weight: 400;
}

a {
  text-decoration: none;
  color: $secondary;

  &:hover {
    color: $primary;
  }
}


img {
  width: 100%;
  height: auto;
  display: block;
  max-width: none;
}

.wrapper {
  width: 90%;
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  &.large {
    max-width: 1200px;
  }
  &.mid {
    max-width: 1000px;
  }
  &.small {
    max-width: 800px;
  }
}
.main-container {
  margin-top: 80px;
}
.btn {
  padding: 10px 25px;
  text-transform: uppercase;
  border-radius: 4px;
  display: inline-block;
  line-height: 1;

  &.btn-secondary {
    border: 1px solid;

    &:hover {
      background: $secondary;
      color: $wh;
    }
  }

  &.btn-primary {
    background: $secondary;
    color: $wh;

    &:hover {

      background: $primary-light;
    }
  }
}

h1, h2 {
  color: $primary;
  font-weight: 700;
  line-height: 1;
  font-size: 1.7em;
  margin-bottom: 15px;
}

h3 {
  font-size: 1.3em;
  color: $primary-light;
  line-height: 1.2;
  margin-bottom: 7px;
}

h4 {
  font-size: 1.1em;
  color: $secondary-light;
  line-height: 1.2;
  margin-bottom: 3px;
}

p {
  white-space: pre-line;
  &:not(:last-of-type) {
    margin-bottom: 20px;
  }
}

em {
  font-style: italic;
}
strong {
  font-weight: 600;
}
button {
  cursor: pointer;
}

.block__buttons {
  margin-top: 25px;
  display: flex;
  flex-wrap: wrap;

  & > *:not(:last-of-type) {
    margin-right: 20px;
  }
}

section {
  ul {
    margin: 10px 0 20px;
    padding-left: 20px;
    li {
      padding-left: 20px;
      text-indent: -20px;
      &:not(:last-of-type){
        margin-bottom: 10px;
      }
      &:before {
        content:'';
        flex-basis: 5px;
        display: inline-block;
        width: 5px;
        height: 5px;
        margin-right: 15px;
        background: $secondary;
      }
    }
  }
  .main-container & {
    &:last-of-type:not(.banner-section) {
      margin-bottom: 80px;
    }
  }
}
